coupang
GET/v2/providers/marketplace_openapi/apis/api/v1/coupons/{couponId}2609170000

[Downloadable Coupon] query one coupon (couponId)

# 01

Summary

[Downloadable Coupon] query one coupon (couponId)

# 02

Details

Available buyer market: Korea

Query downloadable coupon using the couponId(check via response at the time of coupon creation).

Path

GET/v2/providers/marketplace_openapi/apis/api/v1/coupons/{couponId}

Example endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/coupons/11234224

URL API Name

GET_COUPON_BY_ID
# 03

Path parameters

NameTypeDescription
couponId*number
downloadable coupon ID
(check via response at the time of coupon creation)
# 04

Response body

Response message

NameTypeDescription
couponIdinteger
coupon ID
used for coupon item creation, coupon deletion & query, and etc.
titlestring
coupon name
name of the page where the given coupon is downloaded
couponTypestring
coupon type
couponStatusstring
coupon status
exposed as 'STANDBY' at the time of creation
publishedDatestring
coupon issuance date
(the initial time of coupon item)
startDatestring
coupon start date
'YYYY-MM-DD HH:MM:SS'
endDatestring
coupon end date
'YYYY-MM-DD HH:MM:SS'
appliedOptionCountinteger
number of vendorId to which coupon is applied
usageAmountinteger
coupon usage amount
couponPoliciesobject[]
coupon ID(Wing's coupon number)
title
couponPolicies[].title
string
name of the given coupon policy
different from the coupon name; it is a name that's exposed when coupon is selected from cart
typeOfDiscount
couponPolicies[].typeOfDiscount
string
coupon policy type
CODE MEANING
RATE fixed-rate discount
PRICE fixed-amount discount
description
couponPolicies[].description
string
coupon details
marked as details of the coupon policy name in cart
minimumPrice
couponPolicies[].minimumPrice
integer
minimum order amount to be eligible for coupon
order threshold that need to be met in order to use coupon
discount
couponPolicies[].discount
integer
coupon discount amount or rate (%)
CODE Example
RATE input an integer 1~99
PRICE amount in increments of 10 won
maximumDiscountPrice
couponPolicies[].maximumDiscountPrice
integer
maximum discount amount
maximum discount amount when it is RATE
expose -1 when it is PRICE
maximumPerDaily
couponPolicies[].maximumPerDaily
number
maximum number of issuance (1 person / 1 day)
cannot exceed 9,999

Response Example

{
  "couponId": 11234224,
  "title": "쿠폰 명칭",
  "couponType": "DOWNLOAD",
  "couponStatus": "STANDBY",
  "publishedDate": "",
  "startDate": "2019-05-24 19:55:00",
  "endDate": "2019-06-08 11:00:00",
  "appliedOptionCount": 0,
  "usageAmount": 0,
  "couponPolicies": [
    {
      "title": "해당쿠폰의 정책 1 명칭",
      "typeOfDiscount": "RATE",
      "description": "해당정책 안내 문구 작성1",
      "minimumPrice": 1000,
      "discount": 10,
      "maximumDiscountPrice": 2000,
      "maximumPerDay": 999
    },
    {
      "title": "해당쿠폰의 정책 2 명칭",
      "typeOfDiscount": "RATE",
      "description": "해당정책 안내 문구 작성2",
      "minimumPrice": 2000,
      "discount": 20,
      "maximumDiscountPrice": 3000,
      "maximumPerDay": 999
    },
    {
      "title": "해당쿠폰의 정책 3 명칭",
      "typeOfDiscount": "RATE",
      "description": "해당정책 안내 문구 작성3",
      "minimumPrice": 3000,
      "discount": 30,
      "maximumDiscountPrice": 3400,
      "maximumPerDay": 999
    }
  ]
}
# 05

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
404404 (check parameter requested)

The promotion does not exist (228047***)

Check if coupon ID(couponId) value is correctly inputted.